import typescript from 'rollup-plugin-typescript2'

export default [
    {
        input: 'src/index.ts',
        output: {
            file: 'dist/index.mjs',
            format: 'esm'
        },
        plugins: [
            typescript()
        ]
    },
    {
        input: 'src/index.ts',
        output: {
            file: 'dist/index.umd.js',
            name: 'YDLToolKit',
            format: 'umd'
        },
        plugins: [typescript()]
    }
]